Bug 734725 - Incorrect service name in examples of ipa help hbactest.
Summary: Incorrect service name in examples of ipa help hbactest.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 09:55 UTC by Gowrishankar Rajaiyan
Modified: 2015-01-04 23:50 UTC (History)
3 users (show)

Fixed In Version: ipa-2.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Do not document
Clone Of:
Environment:
Last Closed: 2011-12-06 18:30:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Gowrishankar Rajaiyan 2011-08-31 09:55:46 UTC
Description of problem:


Version-Release number of selected component (if applicable):
ipa-server-2.1.0-1.20110823T0253zgit3a9f626.el6.x86_64
ipa-admintools-2.1.0-1.20110823T0253zgit3a9f626.el6.x86_64
ipa-python-2.1.0-1.20110823T0253zgit3a9f626.el6.x86_64

How reproducible:


Steps to Reproduce:
1. ipa help hbactest
2. Observe the examples provided.

Actual results: 
Value for --service is provided as "ssh" "--service=ssh"

Expected results:
should be "--service=sshd"

Additional info:

Comment 1 Gowrishankar Rajaiyan 2011-08-31 10:00:03 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1741

Comment 3 Rob Crittenden 2011-09-12 17:41:26 UTC
Fixed upstream:

master: 8f0a7bd646aedb3a33ac2b2335972454b8ed3925

ipa-2-1: e638ba9d7f091ef9aeba5747fc872348671205bd

Comment 6 Gowrishankar Rajaiyan 2011-10-08 13:07:17 UTC
Before fix:
# ipa help hbactest | grep -i ssh
    $ ipa  hbactest --user=a1a --srchost=foo --host=bar --service=ssh
    $ ipa hbactest --user=a1a --srchost=foo --host=bar --service=ssh --nodetail
    $ ipa hbactest --user=a1a --srchost=foo --host=bar --service=ssh           --rules=my-second-rule,myrule
    $ ipa hbactest --user=a1a --srchost=foo --host=bar --service=ssh           --rules=my-second-rule,myrule --enabled
    $ ipa hbactest --user=a1a --srchost=foo --host=bar --service=ssh --disabled
    $ ipa hbactest --user=a1a --srchost=foo --host=bar --service=ssh           --rules=my-second-rule,myrule --disabled
    $ ipa hbactest --user=a1a --srchost=foo --host=bar --service=ssh           --enabled --disabled


After fix:
# ipa help hbactest | grep -i ssh
    $ ipa  hbactest --user=a1a --srchost=foo --host=bar --service=sshd
    $ ipa hbactest --user=a1a --srchost=foo --host=bar --service=sshd --nodetail
    $ ipa hbactest --user=a1a --srchost=foo --host=bar --service=sshd           --rules=my-second-rule,myrule
    $ ipa hbactest --user=a1a --srchost=foo --host=bar --service=sshd           --rules=my-second-rule,myrule --enabled
    $ ipa hbactest --user=a1a --srchost=foo --host=bar --service=sshd --disabled
    $ ipa hbactest --user=a1a --srchost=foo --host=bar --service=sshd           --rules=my-second-rule,myrule --disabled
    $ ipa hbactest --user=a1a --srchost=foo --host=bar --service=sshd           --enabled --disabled

Verified:
# rpm -qi ipa-server
Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.1.2                             Vendor: Red Hat, Inc.
Release     : 2.el6                         Build Date: Fri 07 Oct 2011 05:09:04 PM EDT
Install Date: Sat 08 Oct 2011 07:36:33 AM EDT      Build Host: x86-001.build.bos.redhat.com
Group       : System Environment/Base       Source RPM: ipa-2.1.2-2.el6.src.rpm
Size        : 3363225                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server

Comment 8 Martin Kosek 2011-11-01 13:25:22 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Do not document

Comment 9 errata-xmlrpc 2011-12-06 18:30:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.